unbound: Data Fields

unbound 0.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - n -

- n : iter_priv
- name : auth_data, auth_xfer, auth_zone, cachedb_backend, config_auth, config_stub, config_view, del_info, delegpt, delegpt_ns, iter_forward_zone, key_entry_key, local_data, local_zone, lookinfo, module_func_block, name_tree_node, rate_key, replay_var, trust_anchor, val_neg_data, val_neg_zone, view
- namelabs : auth_data, auth_xfer, auth_zone, delegpt, iter_forward_zone, local_data, local_zone, trust_anchor
- namelen : auth_data, auth_xfer, auth_zone, delegpt, delegpt_ns, infra_key, iter_forward_zone, key_entry_key, local_data, local_zone, rate_key, trust_anchor
- nat64_prefix_addr : iter_env
- nat64_prefix_addrlen : iter_env
- nat64_prefix_net : iter_env
- nc_rr : ce_response
- nc_rrset : ce_response
- need_refetch : module_qstate
- need_to_exit : daemon, worker
- need_to_validate : module_env
- needs : algo_needs
- neg_cache : module_env, val_env
- neg_cache_size : config_file
- net : addr_tree_node
- new_event : ub_event_base_vmt
- new_signal : ub_event_base_vmt
- next : addrnode, auth_addr, auth_chunk, auth_master, auth_rrset, autr_ta, config_auth, config_str2list, config_str3list, config_strbytelist, config_strlist, config_stub, config_view, delegpt_ns, dt_io_list_item, dt_msg_entry, edns_option, entry, errinf_strlist, fake_pending, fake_timer, http2_stream, inplace_cb, internal_signal, ip_list, iter_prep_list, listen_list, listen_port, local_rrset, mesh_cb, mesh_reply, mesh_state, outbound_entry, packed_rrset_list, port_comm, proxy, rc_state, regional, replay_answer, reply_packet, rr_parse, service_callback, sock_list, ta_key, tap_data_list, tap_socket_list, tcp_proxy, tcp_req_done_item, tcp_req_open_item, tcp_send_list, tube_res_list, val_neg_data
- next_free : pending_tcp
- next_id : alloc_cache
- next_probe : auth_nextprobe
- next_probe_time : autr_point_data
- next_querynum : ub_ctx
- next_range : replay_range
- next_result : delegpt_addr
- next_target : delegpt_addr
- next_usable : delegpt_addr
- next_waiting : pending, waiting_tcp
- no_aggregation : edns_known_option
- no_cache_lookup : module_qstate
- no_cache_store : module_qstate
- nocaps : serviced_query
- node : acl_addr, addr_tree_node, addredge, auth_data, auth_xfer, auth_zone, canon_rr, clientip_synthesized_rr, codeline, ctx_query, domain_limit_data, edns_string_addr, iter_forward_zone, iter_hints_stub, local_data, local_zone, local_zone_override, lock_ref, mesh_state, mesh_state_ref, name_tree_node, nsec3_cached_hash, order_lock, pending, replay_var, resp_addr, reuse_tcp, serviced_query, tcl_addr, trust_anchor, val_neg_data, val_neg_zone, view, wait_limit_netblock_info
- node_count : addrtree
- nonce : nonce_cache_key
- nonce_cache_count : ub_server_stats
- noprime : iter_hints_stub
- notify_has_serial : auth_xfer
- notify_received : auth_xfer
- notify_serial : auth_xfer
- now : infra_arg, internal_base, module_env, ratelimit_list_arg, replay_runtime
- now_secs : outside_network, replay_runtime
- now_tv : module_env, outside_network, replay_runtime
- ns_numrrsets : reply_info
- ns_prepend_last : iter_qstate
- ns_prepend_list : iter_qstate
- ns_rrsets : msg_parse
- nscount : msg_parse
- nsec3 : nsec3_cached_hash
- nsec3_cache_table : val_qstate
- nsec3_hash : val_neg_zone
- nsec3_iter : val_neg_zone
- nsec3_keyiter_count : val_env
- nsec3_keysize : val_env
- nsec3_max_iter : val_neg_cache
- nsec3_maxiter : val_env
- nsec3_salt : val_neg_zone
- nsec3_saltlen : val_neg_zone
- nsid_cfg_str : config_file
- nslist : delegpt
- num : algo_needs, daemon, lruhash, module_stack, nsec3_filter, slab_test_thr, test_thr, timehist
- num_activated : mesh_state
- num_async : ub_ctx
- num_current_queries : iter_qstate
- num_detached_states : mesh_area
- num_done_req : tcp_req_info
- num_forever_states : mesh_area
- num_ifs : config_file
- num_ip4 : outside_network
- num_ip6 : outside_network
- num_keys : del_info, xml_data
- num_msg_cache : subnet_env
- num_msg_nocache : subnet_env
- num_msgs : del_info
- num_neg_cache_noerror : ub_server_stats, val_neg_cache
- num_neg_cache_nxdomain : ub_server_stats, val_neg_cache
- num_open_req : tcp_req_info
- num_out_ifs : config_file
- num_outstanding : port_comm
- num_ports : daemon
- num_quar : alloc_cache
- num_queries : ub_server_stats
- num_queries_cookie_client : ub_server_stats
- num_queries_cookie_invalid : ub_server_stats
- num_queries_cookie_valid : ub_server_stats
- num_queries_ip_ratelimited : ub_server_stats
- num_queries_missed_cache : ub_server_stats
- num_queries_per_thread : config_file
- num_queries_prefetch : ub_server_stats
- num_queries_ratelimited : iter_env
- num_queries_timed_out : ub_server_stats
- num_query_authzone_down : ub_server_stats
- num_query_authzone_up : ub_server_stats
- num_query_cachedb : ub_server_stats
- num_query_dnscrypt_cert : ub_server_stats
- num_query_dnscrypt_cleartext : ub_server_stats
- num_query_dnscrypt_crypted : ub_server_stats
- num_query_dnscrypt_crypted_malformed : ub_server_stats
- num_query_dnscrypt_replay : ub_server_stats
- num_query_dnscrypt_secret_missed_cache : ub_server_stats
- num_query_down : auth_zones
- num_query_subnet : ub_server_stats
- num_query_subnet_cache : ub_server_stats
- num_query_up : auth_zones
- num_reg_blocks : alloc_cache
- num_reply_addrs : mesh_area
- num_reply_states : mesh_area
- num_rrset_bogus : val_env
- num_rrsets : del_info
- num_tags : config_file
- num_target_queries : iter_qstate
- num_tcp : outside_network
- num_tcp_outgoing : outside_network
- num_threads : config_file
- num_udp_outgoing : outside_network
- number : port_comm
- numDNSKEY : trust_anchor
- numDS : trust_anchor
- numports : worker
- numq : ext_thr_info
- numrecv : perfinfo
- numreturn : proxy
- numreuse : proxy
- numsent : perfinfo, proxy
- numwait : proxy
- nxdomain : ub_result
- nxns_dp : iter_qstate